openQA Project - action #99066

coordination # 102906 (New): [saga][epic] Increased stability of tests with less "known failures”, known incompletes handled automatically within
openQA

coordination # 102912 (New): [epic] Simplify investigation of job failures - 2nd
ci: Use a git commit message style checker in more repos
2021-09-22 13:42 - okurz

Status: New Start date:

Priority: Low Due date:

Assignee: % Done: 0%
Category: Feature requests Estimated time: 0.00 hour
Target version: future

Difficulty:

Description

Motivation

With #95581 we have a git commit message style checker in use in e.g. os-autoinst and | think openQA and the according rules are
submitted to hitps://github.com/os-autoinst/os-autoinst-common/pull/12 as well. After so far the git commit message style checker
looks to work as expected we should apply the same approach to more repos, in particular os-autoinst-distri-opensuse. If we don't
have a better way then copy from os-autoinst-common to each repo.

Acceptance criteria

* AC1: os-autoinst-distri-opensuse uses the git commit message style checker

Suggestions

e Copy the file from os-autoinst-common into os-autoinst-distri-opensuse and create PR unless you find a better way to reuse
without copying
¢ Optional: Add to more repos

Related issues:
Copied from openQA Project - action #95581: ci: Use a git commit message styl... Resolved 2021-07-16

History

#1 - 2021-09-22 13:42 - okurz

- Copied from action #95581: ci: Use a git commit message style checker size:S added

#2 - 2021-10-08 10:14 - okurz

- Target version changed from Ready to future

#3 - 2021-11-23 22:01 - okurz
- Parent task changed from #19720 to #102912
https://progress.opensuse.org/issues/95581
https://github.com/os-autoinst/os-autoinst-common/pull/12
http://www.tcpdf.org

